function [ypred,weights] = algoL2(Xtrain, ytrain, Xtest, C, B)

if(~exist('C','var'))
    C = 0.183; % 0.525 ± 0.006
end

if(~exist('B','var'))
    B = 0.0884; % 0.525 ± 0.006
end

Ztrain = bsxfun(@rdivide,Xtrain,sqrt(sum(Xtrain.*Xtrain,2)));
Ztest = bsxfun(@rdivide,Xtest,sqrt(sum(Xtest.*Xtest,2)));

[ypred,weights] = predictSVM(Ztrain,ytrain,Ztest,C,B);

%fprintf('%.4f %.4f ',C,B);

end